package model

import (
	"time"

	pasturePb "gitee.com/xuyiping_admin/go_proto/proto/go/backend/cow"
)

type WorkOrderCalendar struct {
	Id           int64                       `json:"id"`
	Name         string                      `json:"name"`
	CalendarType pasturePb.CalendarType_Kind `json:"calendarType"`
	Count        int32                       `json:"count"`
	ShowDay      string                      `json:"showDay"`
	IsShow       pasturePb.IsShow_Kind       `json:"isShow"`
	CreatedAt    int64                       `json:"createdAt"`
	UpdatedAt    int64                       `json:"updatedAt"`
}

func (w *WorkOrderCalendar) TableName() string {
	return "work_order_calendar"
}

func NewWorkOrderCalendar(name string, calendarType pasturePb.CalendarType_Kind, count int32) *WorkOrderCalendar {
	return &WorkOrderCalendar{
		Name:         name,
		Count:        count,
		CalendarType: calendarType,
		ShowDay:      time.Now().Format(LayoutDate2),
		IsShow:       pasturePb.IsShow_Ok,
	}
}
